#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24

dt = 0.314159
P = 20*dt

f(t) = t/P
t0 = 130

set colors classic
set term png small size 1024,768
set out "at.png"

set tit "embryos_0.1ME_120"
set xl "time [yr]"
set yl "a, r [au]"
set cbl "embryo number"

load "config.plt"

x1=0
x2=t0
Rmin=0.2
Rmax=2.0
DampingRminFrac=1.2
DampingRmaxFrac=0.9
set xr [x1:x2]
set yr [Rmin:Rmax]
set cbr [1:28]
set autoscale x
set autoscale y

p \
  "nbody.orbits.tmp" u (f($2)):(sqrt($13**2+$14**2+$15**2)) not w l lt 2,\
  "nbody.orbits.tmp" u (f($2)):3:1 not w l lc palette z,\
  "<head -1 nbody.orbits.tmp | awk 'BEGIN{ t0=130; }{ print $0; print $1,t0,$3; }'" u 2:3:1 not w l lt 0,\
  "<tail -1 nbody.orbits.tmp" u (t0):3:($9*M_S/M_E/3.0*100.0):1 not w p lc palette z pt 7 ps var

q

  "box.dat" u (x1+$1*(x2-x1)):(Rmin+$2*(DampingRminFrac*Rmin-Rmin)) w filledcurves not lc rgb '#cccccc',\
  "box.dat" u (x1+$1*(x2-x1)):(Rmax-$2*(Rmax-DampingRmaxFrac*Rmax)) w filledcurves not lc rgb '#dddddd',\

