#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24

dt = 0.314159
P = 20*dt

f(t) = t/P
g(m) = m*M_S/M_E

F(x) = a + b*x + c*x**2
fit F(x) "<awk '($1<28)' dadt.out" u 2:3 via a,b,c

########################################################################

set xl "a_{beg} [au]"
set yl "da/dt [au/yr]"

set zeroaxis
set key spacing 1.5 bottom

p "dadt.out" u 2:3 w lp,\
  "deltaa.out" u 3:(($4-$3)/f($2)),\
  "../../../5planet_inverse_NU2.0_-0.5_NOHEATING/out_META/5/dadt.out" u 2:3 w lp,\
  "../../../5planet_stable_FLUX2e-4/out_META/5/dadt.out" u 2:3 w lp,\
  F(x) t sprintf("da/dt = %+.8e %+.8e*a %+.8e*a^2", a, b, c) lt 1
pa -1

set term png small
set out "dadt2.png"
rep

q

set xl "a_{ini} [au]"
set yl "delta a [au]"

p "deltaa.out" u 3:(($4-$3))
pa -1

set yl "da/dt [au/yr]"

p "deltaa.out" u 3:(($4-$3)/f($2))
pa -1

set yl "a_{shift} [au]"
DELTAT = 600000.

p "deltaa.out" u 3:(($4-$3)/f($2)*DELTAT)
pa -1

