#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24

dt = 0.314159
P = 20*dt

f(t) = t/P

set term png small size 1024,768
set out "et.png"

set tit "marssize"
set xl "time [yr]"
set yl "e []"
set cbl "embryo number"

load "config.plt"

x1=0
x2=50
set xr [x1:x2]
#set yr [0:0.10]
set autoscale y
set cbr [1:28]

p \
  "nbody.orbits.tmp" u (f($2)):4:1 not w l lc palette z,\
  "<tail -1 nbody.orbits.tmp" u (50):4:($9*M_S/M_E/3.0*10.0):1 not w p lc palette z pt 7 ps var

q


