#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24

g(m)=m*M_S/M_E

tau = 0.01
alpha_p = 1.e-4
h = 0.05
h_p = h * sqrt(alpha_p/tau)
print "h_p = ", h_p

set colors classic
set term x11

set xl "final {/Helvetica-Oblique M}_{em} [{/Helvetica-Oblique M}_E]"
set yl "mean {/Helvetica-Oblique I}  [rad]" offset 1.5,0
set cbl "embryo number"

set xr [0:0.2]
set yr [-0.00001:0.0002]
set autoscale y
set cbr [1:28]
set nokey
set zeroaxis

tmp=0.0012
set label "{/=14 3{/Helvetica-Oblique h}_p}" at 0.1, 3.0*h_p+tmp
set label "{/=14 {/Helvetica-Oblique h}_p}"  at 0.1, 1.0*h_p+tmp

tmp=0.75
#set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0
#set label "{/=14 Bondi}" at tmp-0.08,graph 0.9 center rotate by 90
#set label "{/=14 Hill}"  at tmp+0.06,graph 0.9 center rotate by 90

set lmargin 8.0
set rmargin 2.1
set bmargin 3.1
set tmargin 0.5

p \
  "<awk '($1==49) || ($1==52) || ($1==95) || ($1==106) || ($1==115)' meani.out" u (g($5)):2:3 w yerr lt 9,\
  "meani.out" u (g($5)):2:($5*M_S/M_E/3.0*60.0):1 w p lc palette z pt 7 ps var,\
  "<awk '($1==49)' meani.out" u (g($5)):($2+0.0048):("{/=12 3 mergers}") w labels,\
  h_p lt 0,\
  3.0*h_p lt 0

#pa -1

set colors classic
set term post eps enh color dashed rounded "Helvetica" 18
set size 0.9,0.65
set out "meani.eps"
rep


