#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24

dt = 0.314159
P = 20*dt

f(t) = t/P
g(m) = m*M_S/M_E

set term png small size 1024,768
set out "mt.png"

set tit "embryos_0.1ME_120"
set xl "time [P_orb]"
set yl "M_{em} [M_E]"
set cbl "embryo number"

load "config.plt"

x1=0
x2=50
set xr [x1:x2]
set yr [0:3]
set autoscale y
set cbr [1:28]

p \
  "<cat nbody.orbits.tmp" u (f($2)):(g($9)):1 not w l lc palette z,\
  "<tail -1 nbody.orbits.tmp" u (50):(g($9)):($9*M_S/M_E/3.0*10.0):1 not w p lc palette z pt 7 ps var

q


