#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24

dt = 3.725
P = 20*dt

f(t) = t/P

set out "nbody.orbits.at2.eps"

#set tit "embryos 0.1ME 120"

load "config.plt"

set yl "{/Helvetica-Oblique a} [au]" offset +1.0,0
set cbl "embryo number"

x1=0
x2=16000
Rmin=2.8
Rmax=16.0
set xr [x1:x2]
set yr [Rmin:Rmax]

p \
  "box.dat" u (x1+$1*(x2-x1)):(Rmin+$2*(DampingRminFrac*Rmin-Rmin)) w filledcurves not lc rgb '#cccccc',\
  "box.dat" u (x1+$1*(x2-x1)):(Rmax-$2*(Rmax-DampingRmaxFrac*Rmax)) w filledcurves not lc rgb '#dddddd',\
  "../embryos_0.1ME_120_PLEIADES/out/nbody.orbits.dat" u (f($2)):3:1 not w d lc palette z,\
  "<tail -103 ../embryos_0.1ME_120_PLEIADES/out/nbody.orbits.dat | sort -g -k9 -r" u (15500):3:($9*M_S/M_E/3.0*3.0):1 not w p lc palette z pt 7 ps var

#pa -1

q

  "../embryos_0.1ME_120/out/nbody.orbits.dat" u (f($2)):($3*(1-$4)):(-$1) not w d ls 1,\
  "../embryos_0.1ME_120/out/nbody.orbits.dat" u (f($2)):($3*(1+$4)):(-$1) not w d ls 1,\

