#!/usr/bin/gawk -f

BEGIN{
  coef = 100.0;
  s = 0.0;
}
!/^#/{
  i++;
  x[i] = $2;
  y[i] = $3;
  s = s + y[i];
}
END{
  n = i;
  E = s/n;
  print "# E = ", E;

  s = 0.0;
  for (i=1; i<=n; i++) {
    s = s + (y[i]-E)**2;
  }
  sigma = sqrt(s/(n-1));
  print "# sigma = ", sigma;

  for (i=1; i<=n; i++) {
    if (abs(y[i]-E) < coef*sigma) {
      print x[i], y[i];
    } else {
      print "#";
    }
  }
}

func abs(x) {
  if (x > 0) {
    return x;
  } else {
    return -x;
  }
}

