#!/usr/bin/gnuplot

load "opacityregime_ZHU.plt"

########################################################################

GM_SI = 1.32712440018e20
AU_SI = 149597870700.0
R_STANDARD = 8.3144598
MMW = 2.4
R_SI = R_STANDARD/(MMW*0.001)
T2SI = GM_SI/R_SI/AU_SI

ADIABIND = 1.4
MOLWEIGTH = 1.0
GASCONST = 1.0
SQRT_ADIABIND_INV = 1.0/sqrt(ADIABIND)
SQRT2PI_INV = 1.0/sqrt(2.0*pi)

MSOL_SI = 1.98855e30
RHO2CGS = MSOL_SI*1000.0/(AU_SI*100.0)**3

Omega(r) = r**(-1.5)
cs(T) = sqrt(ADIABIND*T/MOLWEIGTH*GASCONST)
H(r,T) = cs(T)/Omega(r)*SQRT_ADIABIND_INV

rho(r,Sigma,T) = Sigma/H(r,T)*SQRT2PI_INV
opacity_ZHU(r,Sigma,T) = kappa_ZHU(rho(r,Sigma,T)*RHO2CGS,T*T2SI)

########################################################################

set term png small
set out "opacityregime.png"

set xl "r [au]"
set yl "opacity regime []"

load "config.plt"
r(i) = Rmin+(Rmax-Rmin)*int(i/Nsec)/Nr

set yr [0:13]
set cbr [1:6]
set ytics 1
set cbtics 1

tmp=0.45; set arrow from tmp,graph 0 to tmp,graph 1 nohead lt 0

p \
  "<paste gasdens.cfg gastemper.cfg" u (r($0)):(opacity_ZHU(r($0),$1,$2)):(opacity_ZHU(r($0),$1,$2)) w l lw 3 lc palette z,\
  4 w l lt 0,\
  6 w l lt 0

q


