#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24
au = 1.496e11
yr = 1
Myr = 1.e6*yr

tm11(m) = 0.3*Myr / (m/M_S*2.e33/6.e27)
dadt11(a,m,rc)=-sgn(a-rc)*((a-rc)/au)**2/(tm11(m)) / (1./yr)

set xl "r [au]"
set yl "m [M_E]"
set zl "da/dt [10^-6 au yr^-1]"

set xr [0.2:2.0]
set yr [0.05:1.0]

set xyplane 0.0

sp \
  dadt11(x*au,y*M_E,0.85*au) w l

pa -1

set term png small
set out "dadt_symba11.png"
rep

q

